/*
 * This file is a part of Winix
 * and is not publicly distributed
 * 
 * Copyright (c) 2011-2012, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#ifndef headerfile_winix_functions_meta
#define headerfile_winix_functions_meta

#include "functionbase.h"
#include "confparser/confparser.h"


namespace Fun
{


class Meta : public FunctionBase
{
public:

	Meta();

	bool HasAccess();
	void MakePost();
	bool AddMetaInfo(Item & item, const std::wstring & meta_str);

private:

	PT::ConfParser conf_parser;
	PT::Space space;
};


} // namespace

#endif
