/*
 * This file is a part of Winix
 * and is not publicly distributed
 * 
 * Copyright (c) 2009-2010, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#ifndef headerfile_winix_plugins_thread_thread
#define headerfile_winix_plugins_thread_thread

#include <string>
#include <string.h>


namespace Thread
{




class Thread
{
public:

	long file_id;
	long replies;
	bool closed;

	// the last file in a thread
	long last_item_id;
	tm   last_item_date_modification;
	long last_item_user_id;
	std::wstring last_item_guest_name;



	void Clear()
	{
		file_id = -1;
		closed  = false;
		replies = 0;
		last_item_id      = -1;
		last_item_user_id = -1;
		memset(&last_item_date_modification, 0, sizeof(tm));
		last_item_guest_name.clear();
	}

	Thread()
	{
		Clear();
	}
};



} // namespace

#endif


