/*
 * This file is a part of Winix
 * and is not publicly distributed
 * 
 * Copyright (c) 2011, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#include "templates.h"



namespace TemplatesFunctions
{


void login_path(Info & i)
{
	if( config->use_ssl )
		i.out << config->url_ssl_proto;
	else
		i.out << config->url_proto;

	i.out << config->base_url;

	if( system->HasReadExecAccessToPath(cur->request->dir_tab) )
	{
		dir(i);

		if( cur->request->is_item && system->HasReadAccess(cur->request->item) )
			i.out << cur->request->item.url << '/';
	}
	else
	{
		i.out << '/';
	}
}





} // namespace TemplatesFunctions


